Mailinglist Archive: opensuse-factory (689 mails)

< Previous Next >
Re: [opensuse-factory] 12.3 -- if it isn't too late....
On 04/03/13 13:16, Jan Engelhardt wrote:
On Monday 2013-03-04 01:35, Basil Chupin wrote:

....could the following programs be added to the list of programs which are
installed by default, please?: make, gcc, libpangox.
The first 2 are required to compile the nVidia driver, and the last is required
by a number of programs which will not run without it and the only way to find
out why they won't is to run the program in a terminal to get the error
message.

It would also be very nice if mc, nano were also added to this list
of default installs.
The line needs to be drawn somewhere, and better earlier than too late.
Because if this keeps up (for time->\infty), before you know it, you
have a mail-capable eclipse in the default set.

nvidia:
People do not normally have to compile nvidia, because that should be
precompiled in some zypp repo.

No so.

Yesterday I installed 12.3 RC2 and had to use "nomodeset" to get the installation done.

And when it was finally installed and being aware that kernel 3.8.1-2 was available I installed that after which I had to compile the nVidia driver (it was either compiling it for the 3.7.9 kernel in 12.3 or "going all the way" with the latest stalbe kernel).

So, both make and gcc are important.

Hell, what degree of difficulty is there to add a 358Kb and a 4Kb file for make and gcc, respectively, to the default install list?


It seems wrong to 'penalize' non-nv users with extra packages.

Oh, yeah :-( . Great penalty :-( .

But it is NOT a penalty to install by default a 33MB HELP file for Gimp?

libpangox:
The description "XYZ is required by a number of programs which will not
run without it" is really non-telling too (it's also seen a handful of
times in .spec files).

Note that programs which do require libpangox-1_0-0 through DT_NEEDED
will automatically pull it in.

Which is why I had to go into YaST and manually install it. Right :-) .

I see no reason to make libraries, unless
they are dlopened which is a minority thing anyhow, explicitly-named.

BC

--
Using openSUSE 12.2 x86_64 KDE 4.10.00 & kernel 3.8.1-2 on a system with-
AMD FX 8-core 3.6/4.2GHz processor
16GB PC14900/1866MHz Quad Channel Corsair "Vengeance" RAM
Gigabyte AMD3+ m/board; Gigabyte nVidia GTX550Ti 1GB DDR5 GPU

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >